GraphicsProperties (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.fo

## Interface GraphicsProperties

- All Known Implementing Classes:
    AbstractGraphics, ExternalDocument, ExternalGraphic, InstreamForeignObject

      public interface GraphicsProperties

  This interface provides access to properties necessary to calculate the size and positioning of images and graphics inside a viewport.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `LengthRangeProperty` | `getBlockProgressionDimension()`
    `Length` | `getContentHeight()`
    `Length` | `getContentWidth()`
    `int` | `getDisplayAlign()`
    `Length` | `getHeight()`
    `LengthRangeProperty` | `getInlineProgressionDimension()`
    `int` | `getOverflow()`
    `int` | `getScaling()`
    `int` | `getTextAlign()`
    `Length` | `getWidth()`

- - ### Method Detail

    - #### getInlineProgressionDimension

          LengthRangeProperty getInlineProgressionDimension()

      Returns:
        the "inline-progression-dimension" property.

    - #### getBlockProgressionDimension

          LengthRangeProperty getBlockProgressionDimension()

      Returns:
        the "block-progression-dimension" property.

    - #### getHeight

          Length getHeight()

      Returns:
        the "height" property.

    - #### getWidth

          Length getWidth()

      Returns:
        the "width" property.

    - #### getContentHeight

          Length getContentHeight()

      Returns:
        the "content-height" property.

    - #### getContentWidth

          Length getContentWidth()

      Returns:
        the "content-width" property.

    - #### getScaling

          int getScaling()

      Returns:
        the "scaling" property.

    - #### getOverflow

          int getOverflow()

      Returns:
        the "overflow" property.

    - #### getDisplayAlign

          int getDisplayAlign()

      Returns:
        the "display-align" property.

    - #### getTextAlign

          int getTextAlign()

      Returns:
        the "text-align" property.

Copyright © 2025 Apache Software Foundation. All rights reserved.